package com.centerm.smartpos.aidl.mifare;

interface AidlMifare{
    /** 认证  */
	int auth(int type, byte blockaddr, in byte[] keydata, in byte[] resetRes);
	
	/** 读数据 */
	int readBlock(byte blockaddr, out byte[] blockdata);
	
	/** 写数据 */
	int writeBlock(byte blockaddr, in byte[] data);
	
	/** 加值 */
	int addValue(byte blockaddr, in byte[] defaultdata, in byte[] data);
	
	/** 减值 */
	int reduceValue(byte blockaddr, in byte[] defaultdata, in byte[] data);
}