package com.centerm.smartpos.aidl.printer;

import com.centerm.smartpos.aidl.printer.AidlPrinterStateChangeListener;
import com.centerm.smartpos.aidl.printer.PrintDataObject;
import java.util.List;

interface AidlPrinter {
	//获取打印机状态
	int getPrinterState();
	//打印文本
	void printText(in List<PrintDataObject> list,AidlPrinterStateChangeListener listener);
	//打印条码
	void printBarCode(String str,AidlPrinterStateChangeListener listener);
	//打印位图
	void printBmp(int marginLeft,int width,int height,in Bitmap bmp,AidlPrinterStateChangeListener listener);
	//走纸
	void spitPaper(int distance);
	//设置打印机灰度
	void setPrinterGray(int grayLevel);
	//初始化打印参数
	void initPrinter();
}